<?php
add_action('init', array('Ktai_Style_Install', 'install'));
add_action('deactivate_ktai_style/ktai_style.php', array('Ktai_Style_Install', 'uninstall'));

/* ==================================================
 *   Ktai Style Install class
   ================================================== */

class Ktai_Style_Install {

public function install() {
	global $wpdb, $user_level;
	get_currentuserinfo();
	if ($user_level < 8) {
		return;
	}
	$charset_collate = '';
	if ( version_compare(mysql_get_server_info(), '4.1.0', '>=') ) {
		if ( ! empty($wpdb->charset) )
			$charset_collate = "DEFAULT CHARACTER SET $wpdb->charset";
		if ( ! empty($wpdb->collate) )
			$charset_collate .= " COLLATE $wpdb->collate";
	}
	$sql = "CREATE TABLE IF NOT EXISTS `{$wpdb->prefix}ktaisession` (
			`sid`	varchar(32) NOT NULL,
			`next_id`	varchar(32) NULL default NULL,
			`expires` datetime NOT NULL default '0000-00-00 00:00:00',
			`user_login` varchar(60) NOT NULL default '',
			`user_pass` varchar(64) NOT NULL default '',
			`user_agent` varchar(255) NULL default '',
			`term_id` varchar(64) NULL default '',
			`sub_id` varchar(64) NULL default '',
			`data`	text NULL default'',
			PRIMARY KEY (`sid`)
			) $charset_collate;";
	require_once ABSPATH . 'wp-admin/upgrade-functions.php';
	dbDelta($sql);
	return;
}

public function uninstall() {
	global $wpdb, $user_level;
	get_currentuserinfo();
	if ($user_level < 8) {
		return;
	}
	$sql = "DROP TABLE IF EXISTS `{$wpdb->prefix}ktaisession`;";
	$wpdb->query($sql);
	return;
}

// ===== End of class ====================
}
?>